DollyPapper
@DollyPapper

Актуальны ли такие ресурсы как caniuse при существовании babel?

Добрый день. Вопрос такой: зачем на данный момент нужны такие ресурсы как caniuse и прочие таблицы совместимости если babel всё компилирует с учётом поддержки любых старых версий браузеров? Или он делает это не в любом мыслимом случае? Можете привести пример когда вам в последний раз приходилось проверять версию браузера и от этого отталкиваться в написании кросс браузерного кода?
  • Вопрос задан
  • 115 просмотров
Решения вопроса 2
Kozack
@Kozack
Thinking about a11y
Актуальны. Babel скорее всего использует browserslist, а browserslist использует caniuse.
Ответ написан
wapster92
@wapster92
А API которых нет в каком-то браузере babel тоже напишет? Допустим не поддерживается fetch, babel тебе автоматически напишет XMLHttpRequest? Буду очень удивлен если так.
Ответ написан
Пригласить эксперта
Ваш ответ на вопрос

Войдите, чтобы написать ответ

Войти через центр авторизации
Похожие вопросы
18 мая 2021, в 01:31
3000 руб./за проект
17 мая 2021, в 23:39
50000 руб./за проект
17 мая 2021, в 23:10
100000 руб./за проект